/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\demitel\artifacts\CircleOfBlood.cs
Lines of code: 51
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class CircleOfBlood : GoldRing
	{
		public override int ArtifactRarity{ get{ return 15; } }

		public override void GetProperties( ObjectPropertyList list )
		{
			base.GetProperties( list );
			{
				list.Add("D E M I T E L");
			}
		}

		[Constructable]
		public CircleOfBlood()
		{
			Name = "Circle Of Blood";
			Hue = 33;
			Attributes.RegenHits = 10;
			Attributes.BonusHits = 10;
			Attributes.AttackChance = 15;
			Attributes.BonusDex = 8;
			Attributes.WeaponDamage = 30;
			SkillBonuses.SetValues( 0, m_PossibleBonusSkills[Utility.Random(m_PossibleBonusSkills.Length)], (Utility.Random( 4 ) == 0 ? 15.0 : 15.0) );
		}

		private static SkillName[] m_PossibleBonusSkills = new SkillName[]
			{
				SkillName.Swords,
				SkillName.Fencing,
				SkillName.Macing,
				SkillName.Archery,
				SkillName.Wrestling,
			};

		public CircleOfBlood( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

			if ( version < 1 )
				SkillBonuses.SetValues( 0, m_PossibleBonusSkills[Utility.Random(m_PossibleBonusSkills.Length)], (Utility.Random( 4 ) == 0 ? 15.0 : 15.0) );
		}
	}
}
